<?
require ("Conexion/Conexion.php");
require('lib/lib.php');
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	
	
		
	Inactividad();
	$LoteID = $_POST['LoteCuponID'];
	$Bandera = 1;
	$Bandera2=1;
	$Tipo='pdf';
	$Formato='pdf';
	$LoteCuponID=$_POST['LoteCuponID'] ;
	$Cliente=$_SESSION['ClienteID'];
	//$Cliente=4259;
	//$LoteCuponID=4035;
	//$NombreArchivo='Vales';
	$NombreArchivo=$_SESSION['NombreArchivo'];
	//$Nombre = $_SESSION['NombreArchivo'];
		
				
	
			$TipoReporte = 1;
			$ReporteNombre = 'IMPRIMIR CUPONES WEB';
			$Query = mssql_query("SELECT LoteCupon.Impreso FROM LoteCupon  WHERE LoteCupon.ClienteID = '$Cliente'  AND LoteCupon.LoteCuponID = '$LoteCuponID'");	
			$EvaluarQuery = mssql_fetch_array($Query);
			$Impreso=$EvaluarQuery['Impreso'];
			if($Impreso == 'False'){	
			
						
				
				
						
					$SoapURL = "http://".$_SESSION['CistemWebIP'].":9005/SOAP?service=ServiceWEB";
							$Client = new SoapClient($SoapURL,
						array('compression' => SOAP_COMPRESSION_ACCEPT | SOAP_COMPRESSION_GZIP,
							  'exceptions' => true));						  
					$GasolineroID = $_SESSION['GasolineroID'];
					$RutaReportes = $_SESSION['RutaReportes'];
					//$GasolineroID = 9001;
					//$RutaReportes = "'C:\'";
					
					//$Parametros = 'ClienteINI="'.$_SESSION['ClienteID'].'",ClienteFIN="'.$_SESSION['ClienteID'].'",Seleccion="'.$LoteCuponID.'"';
					$Parametros = 'ClienteINI="'.$Cliente.'",Seleccion="'.$LoteCuponID.'"';
					
					$A = $Client->Imprimir($ReporteNombre, $GasolineroID, $Parametros, $RutaReportes, $Formato);
					
					/*echo $Parametros;
					echo '-';
					echo $ReporteNombre;
					echo '-';
					echo $Formato;*/
					//print_r($A);
					//die();
					if($A->Ruta == '' && $A->Error == '')
						echo "<p class='success'>El Reporte consultado no contiene datos!</p>";
						
					elseif($A->Ruta != ''){
						$Tipo = extension($A->Ruta);
						$_SESSION['NombreArchivo'] = Nombre($A->Ruta);
						$Nombre = $_SESSION['NombreArchivo'];
						
						$Nombre = 'Reportes/'.$Nombre;
						//$Nombre = 'Reportes/22082017163249508.pdf';
						header('Content-type: application/pdf');
						header('Content-Disposition: attachment; filename="'.$Nombre.'"');
						header('Content-Length: '.filesize($Nombre));
						readfile($Nombre);
						
						$QueryUpdate = mssql_query("UPDATE LoteCupon SET Impreso = 'True'  WHERE LoteCuponID = '$LoteCuponID'");
						
					
						//if($Tipo == 'pdf')
						//echo 'PDF';
						//elseif($Tipo == 'xls')
						//	echo 'XLS';
						//elseif($Tipo == 'xml')
						//	echo 'XML';
						//else
						//	echo "<p class='success'>El Tipo de Reporte es desconocido. Comuniquese con el Administrador!</p>";
					} else
						echo "<p class='error'>Error en la consulta del Reporte, Comuniquese con el Administrador!</p>";
						//echo "$RutaReportes" + "$GasolineroID";
						//echo $ReporteNombre  . " <td></td>". $GasolineroID . " <td></td>" . $Parametros . " <td></td>" . $RutaReportes ." <td></td>" .$Nombre;
							
						//$Bandera2=0;
					$mensaje = $ReporteNombre.$GasolineroID.$Parametros.$RutaReportes.$Formato ;
					echo "<script>";
					echo "alert('$mensaje');";  
					echo "window.location = 'index.php';";
					echo "</script>"; 
				}else
					//echo $Bandera;
					$mensaje = "Vales ya impresos";
					echo "<script>";
					echo "alert('$mensaje');";  
					echo "window.location = 'index.php';";
					echo "</script>"; 
					//echo "<script language='JavaScript'>alert('Vales ya impresos');</script>"; 
					
				
				
			
		
			
	
	
	

}
	
?>